Which 3ds/ds Flashcard Can Support Latest Nintendo 3DS v10.5.0-30?

Which 3ds/ds Flashcard Can Support Latest Nintendo 3DS v10.5.0-30?

The Nintendo 3DS has been updated to v10.5.0-30 , let’s see the update details :

Version 10.5.0-30U available via wireless Internet connection includes the following improvements:
Further improvements to overall system stability and other minor adjustments have been made to enhance the user experience

We have tested all the ds and 3ds flashcarts on the latest 3DS v10.5.0-30 , it has confirmed the following flashcart can support the latest Nintendo 3DS system firmware :

Sky3DS+ Flashcart (now the only 3ds flashcart available to buy to support all the 3ds games on latest 3DS system )
Sky3DS Flashcart (it is no longer available to buy in the market )
R4i gold 3DS Flashcart (the best flashcart to run ds games on any version of 3DS/2DS/DS Lite)
ACE3DS PLUS Flashcart
R4i-SDHC 3DS RTS Flashcart
2015 R4i gold pro (support DS ,SNES ,GBA games , but the set up procedure is little complicated )
2015 R4i shdc dual core Flashcart (support DS ,SNES ,GBA games , but the set up procedure is little complicated )

2015 R4i sdhc rts Flashcart

For gateway 3ds ,  emunand 10.5.0-30, eshop works and multirom menu working perfectly .

 

Comments are closed.